Application: gvSIG desktop - gvSIG bugs #1250
Fallo al explotar un poligono/Explode a polygon fails
10/08/2012 02:25 PM - Abenchara Socorro

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Juan Lucas Dominguez

Category: Vector editing

Target version: 2.0.0-rc1

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2056 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: explode, explotar Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

ESP - Fallo al explotar un poligono

Pasos

1.- Abrir gvSIG

2.- Abrir VISTA NUEVA

3.- Abrir capa snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/snap polygon.shp)

4.- Botén derecho sobre la capa seleccionada y pinchar en Comenzar Edicion
5.- Seleccionar un poligono

6.- Menu Capa/Modificar/Explotar

7.- Boton derecho sobre la capa seleccionada y pinchar en Terminar Edicion
8.- Pinchar en guardar

9.- Aparece una pantalla de aviso:

Exception reading 'snap_polygon_borrar'.

Can't finish edition.

Can't perform editing in 'Shapes'.

Error while executing an action in resource 'MultiResource /home/asocorro/Cartografia GvSIG/geodata/vector/SHP2D/
snap_polygon_borrar/snap_polygon_borrar.shp:: FileResource(/home/asocorro/Cartografia GvSIG/geodata/vector/SHP2D/
snap_polygon_borrar/snap_polygon_borrar.shp), FileResource(/home/asocorro/Cartografia GvSIG/geodata/vector/SHP2D/
snap_polygon_borrar/snap_polygon_borrar.shx), FileResource(/home/asocorro/Cartografia
GvSIG/geodata/vector/SHP2D/snap_polygon_borrar/snap_polygon_borrar.dbf) (default)'.

Exception writing 'Shape'.

UnsupportedGeometryType: Curve2D (java.lang.RuntimeException)

ENG - Explode a polygon fails

Steps

1.- Open gvSIG

2.- Open NEW VIEW

3.- Open layer snap_polygon.shp (http://downloads.gvsig.org/download/geodata/vector/SHP2D/snap_polygon.shp)
4.- Right button on layer selected and click Start Edition
5.- Select a polygon

6.- Go to Menu Layer/Modify/Explode

7.- Right button on layer selected and click Finish Edition
8.- Click on Save

9.- Appears a warning message:
http://downloads.gvsig.org/download/geodata/vector/SHP2D/snap_polygon.shp
http://downloads.gvsig.org/download/geodata/vector/SHP2D/snap_polygon.shp

Exception reading 'snap_polygon_borrar'.

Can't finish edition.

Can't perform editing in 'Shapes'.

Error while executing an action in resource 'MultiResource /home/asocorro/Cartografia
GvSIG/geodata/vector/SHP2D/snap_polygon_borrar/snap_polygon_borrar.shp:: FileResource(/home/asocorro/Cartografia
GvSIG/geodata/vector/SHP2D/snap_polygon_borrar/snap_polygon_borrar.shp), FileResource(/home/asocorro/Cartografia
GvSIG/geodata/vector/SHP2D/snap_polygon_borrar/snap_polygon_borrar.shx), FileResource(/home/asocorro/Cartografia
GvSIG/geodata/vector/SHP2D/snap_polygon_borrar/snap_polygon_borrar.dbf) (default)".

Exception writing 'Shape'.

UnsupportedGeometryType: Curve2D (java.lang.RuntimeException)

History

#1 - 10/22/2012 01:03 PM - Manuel Madrid
- Priority changed from Normal to Urgent

#2 - 10/22/2012 04:46 PM - Juan Lucas Dominguez

- Assignee set to Juan Lucas Dominguez

#3 - 10/24/2012 11:04 AM - Juan Lucas Dominguez

- File countries.zip added

- Status changed from New to Fixed

If there is a possible conflict, user is asked to take decision.

gvsig-desktop:r39088

Test:

- If you test it with a layer of polygons, you will be asked how to treat polygons. If you don't follow the instructions in the dialog, then an error message

will show and it's not considered a bug. You can try the attached SHP (countries.zip). If you use the explode tool with Canada or Spain, the

multi-polygons will be converted to simple polygons, so you can select each polygon individually.

- If you test with a layer of lines or points it should work

#4 - 11/06/2012 02:58 PM - Abenchara Socorro

- Status changed from Fixed to Closed

Files

countries.zip 199 KB 10/24/2012 Juan Lucas Dominguez
